aboutsummaryrefslogtreecommitdiffstats
path: root/main/taglib/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-08-16 12:32:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-16 12:32:17 +0000
commit03a82df4c4668970689c2629d53fee57c4ae47b5 (patch)
treea5be497b24602e4709966172428dc41569a7f176 /main/taglib/APKBUILD
parent43893092d91a0ce451962aa449f0fbeea2379ea5 (diff)
downloadaports-03a82df4c4668970689c2629d53fee57c4ae47b5.tar.gz
aports-03a82df4c4668970689c2629d53fee57c4ae47b5.tar.bz2
aports-03a82df4c4668970689c2629d53fee57c4ae47b5.tar.xz
main/taglib: new aport
library for reading and editing the meta-data of several popular audio formats http://ktown.kde.org/~wheeler/taglib.html
Diffstat (limited to 'main/taglib/APKBUILD')
-rw-r--r--main/taglib/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/main/taglib/APKBUILD b/main/taglib/APKBUILD
new file mode 100644
index 0000000000..ff03066ef9
--- /dev/null
+++ b/main/taglib/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=taglib
+pkgver=1.5
+pkgrel=0
+pkgdesc="library for reading and editing the meta-data of several popular audio formats."
+url="http://ktown.kde.org/~wheeler/taglib.html"
+license="GPL2"
+makedepends="zlib-dev cmake"
+depends=
+source="http://ktown.kde.org/~wheeler/files/src/$pkgname-$pkgver.tar.gz"
+subpackages="$pkgname-dev"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+ make VERBOSE=1 || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="7b557dde7425c6deb7bbedd65b4f2717 taglib-1.5.tar.gz"